Bug 841102 - the addChanglog.pl script can't handle user inputed cvs user name properly
the addChanglog.pl script can't handle user inputed cvs user name properly
Status: CLOSED CURRENTRELEASE
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Hardware Catalog (Show other bugs)
6.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tony Fu
:
Depends On:
Blocks: 837717
  Show dependency treegraph
 
Reported: 2012-07-18 03:29 EDT by Tony Fu
Modified: 2012-11-15 22:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-15 22:11:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tony Fu 2012-07-18 03:29:53 EDT
Description of problem:

When building a rpm package, the addChangelog.pl will ask user to input the cvs user name, but the cvs still uses the user name got from user's local evn.


How reproducible:


Steps to Reproduce:
1. switch to a different user from your normal user (for example, I switch user from tfu to "power-user") 
2. run "make rpm" to build a hwcert rpm
3.
  
Actual results:
The build process will ask you the password of the power-user@cvsserver, even it has asked user to input the cvs user name earlier.  here power-user is user's local user name rather than a real cvs user.


Expected results:
the build process should ask user the password of the cvs user name input by user before.  Here, it should ask me the password of tfu@cvsserver


Additional info:
Comment 6 Tony Fu 2012-11-01 03:34:25 EDT
verified.
Comment 7 Tony Fu 2012-11-15 22:11:55 EST
verified.

Note You need to log in before you can comment on or make changes to this bug.